#version 100

uniform sampler2D TextureYUV;
varying lowp vec2 TexCoordInterpolated;
uniform lowp vec2 PixelDelta;

#define FILTER_SIZE 17
#define HALF_FILTER_SIZE int(FILTER_SIZE / 2)
uniform lowp float FilterCoeffs[FILTER_SIZE];

void main(void) {
    
    lowp vec4 sum = vec4(0.0);
    for (int  i = 0; i < FILTER_SIZE; i++) {
        
        lowp vec2 texCoord = TexCoordInterpolated + vec2(0.0, float(i - HALF_FILTER_SIZE) * PixelDelta.y);
        lowp vec4 yuv = texture2D(TextureYUV, texCoord);
        sum += yuv * vec4(FilterCoeffs[i]);
    }
    
    gl_FragColor = vec4(sum.rgb, 1.0);
}