#version 100

uniform sampler2D TextureMask;
varying lowp vec2 TexCoordInterpolated;
uniform lowp vec2 PixelDelta;

#define FILTER_SIZE 17
#define HALF_FILTER_SIZE int(FILTER_SIZE / 2)
uniform lowp float FilterCoeffs[FILTER_SIZE];

void main(void) {
    
    lowp float sum = 0.0;
    for (int  i = 0; i < FILTER_SIZE; i++) {
        
        lowp vec2 texCoord = TexCoordInterpolated + vec2(0.0, float(i - HALF_FILTER_SIZE) * PixelDelta.y);
        lowp vec4 mask = texture2D(TextureMask, texCoord);
        sum += mask.r * FilterCoeffs[i];
    }
    
    gl_FragColor = vec4(vec3(sum), 1.0);
}